const chokidar = require('chokidar');
const serverApp = require('./dev-server.js');

function buildJs() {
  require('./build.js').buildJs();
}

buildJs();
serverApp();

const watcher = chokidar.watch(['./js', './sass'], {
  ignored: (path, stats) =>
    stats?.isFile() && !path.endsWith('.scss') && !path.endsWith('.js'),
  persistent: true
});
watcher.on('change', (path, stats) => {
  if (stats) console.log(`File ${path} changed`);
  buildJs();
});
